Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Class MetaProjectConstants

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.MetaProjectConstants

    public class MetaProjectConstants

extends Object

Field Summary
`static Operation` | `OPERATION_ADMINISTER_SERVER`
`static Operation` | `OPERATION_DISPLAY_IN_PROJECT_LIST`
`static Operation` | `OPERATION_KILL_OTHER_USER_SESSION`
`static Operation` | `OPERATION_ONTOLOGY_TAB_READ`
`static Operation` | `OPERATION_ONTOLOGY_TAB_WRITE`
`static Operation` | `OPERATION_PROPERTY_TAB_READ`
`static Operation` | `OPERATION_PROPERTY_TAB_WRITE`
`static Operation` | `OPERATION_READ`
`static Operation` | `OPERATION_SHUTDOWN_SERVER`
`static Operation` | `OPERATION_START_REMOTE_PROJECT`
`static Operation` | `OPERATION_STOP_REMOTE_PROJECT`
`static Operation` | `OPERATION_WRITE`
`static String` | `USER_WORLD`

Constructor Summary
`MetaProjectConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPERATION_DISPLAY_IN_PROJECT_LIST

    public static final Operation OPERATION_DISPLAY_IN_PROJECT_LIST

### OPERATION_READ

    public static final Operation OPERATION_READ

### OPERATION_WRITE

    public static final Operation OPERATION_WRITE

### OPERATION_PROPERTY_TAB_READ

    public static final Operation OPERATION_PROPERTY_TAB_READ

### OPERATION_PROPERTY_TAB_WRITE

    public static final Operation OPERATION_PROPERTY_TAB_WRITE

### OPERATION_ONTOLOGY_TAB_READ

    public static final Operation OPERATION_ONTOLOGY_TAB_READ

### OPERATION_ONTOLOGY_TAB_WRITE

    public static final Operation OPERATION_ONTOLOGY_TAB_WRITE

### OPERATION_ADMINISTER_SERVER

    public static final Operation OPERATION_ADMINISTER_SERVER

### OPERATION_KILL_OTHER_USER_SESSION

    public static final Operation OPERATION_KILL_OTHER_USER_SESSION

### OPERATION_STOP_REMOTE_PROJECT

    public static final Operation OPERATION_STOP_REMOTE_PROJECT

### OPERATION_START_REMOTE_PROJECT

    public static final Operation OPERATION_START_REMOTE_PROJECT

### OPERATION_SHUTDOWN_SERVER

    public static final Operation OPERATION_SHUTDOWN_SERVER

### USER_WORLD

    public static final String USER_WORLD

See Also:
  Constant Field Values

Constructor Detail

### MetaProjectConstants

    public MetaProjectConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.